"""
Methods for printing results to console; primarily useful when developing/debugging pipelines to
check results before committing.
"""
from typing import Iterable

from spotify_model import SearchAlbum, SimplifiedTrack


def echo_albums(albums: Iterable[SearchAlbum]) -> None:
    "Print album metadata"

    for album in albums:
        print(album.name)


def echo_tracks(tracks: Iterable[SimplifiedTrack]) -> None:
    "Print track metadata"

    for track in tracks:
        print(track.name)
